Index: tmp/org.txm.analec.rcp/src/org/txm/annotation/urs/view/ElementSearchView.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/annotation/urs/view/ElementSearchView.java	(revision 3060)
+++ tmp/org.txm.analec.rcp/src/org/txm/annotation/urs/view/ElementSearchView.java	(revision 3061)
@@ -61,44 +61,66 @@
 import visuAnalec.vue.Vue;
 
 public class ElementSearchView extends ViewPart {
-
+	
 	public static final String ID = ElementSearchView.class.getName();
-
-	private LinkedHashMap<Combo, String> textWidgets = new LinkedHashMap<Combo, String>();
+	
+	private LinkedHashMap<Combo, String> textWidgets = new LinkedHashMap<>();
+	
 	Element currentElement = null;
+	
 	int currentIndex = -1;
-	ArrayList<Element> matchingElements = new ArrayList<Element>();
+	
+	ArrayList<Element> matchingElements = new ArrayList<>();
+	
 	URSAnnotationToolbar toolbar;
-
+	
 	private Composite buttons;
+	
 	private Composite fields;
+	
 	private Text text;
+	
 	private Label label;
+	
 	private Button firstButton;
+	
 	private Button previousButton;
+	
 	private Button nextButton;
+	
 	private Button lastButton;
+	
 	private Button resetButton;
+	
 	private Button searchButton;
+	
 	private Button concordanceButton;
+	
 	RowData cData = new RowData();
+	
 	private GridData lData;
+	
 	private GridData tData;
-
+	
 	private Corpus analecCorpus;
+	
 	private Class clazzSearched;
+	
 	private String typeSearched;
-
+	
 	private Vue vue;
+	
 	private CorpusListener corpusListener = new CorpusListener() {
+		
 		@Override
 		public void traiterEvent(final Message e) {
 			Display.getDefault().syncExec(new Runnable() {
+				
 				@Override
 				public void run() {
-					//System.out.println("EVENT: "+e);
+					// System.out.println("EVENT: "+e);
 					if (fields == null || fields.isDisposed()) return;
-
+					
 					if (e.getType() == TypeMessage.MODIF_STRUCTURE) {
 						needUpdate = true;
 						loadType(corpus, analecCorpus, clazzSearched, typeSearched, toolbar);
@@ -107,24 +129,24 @@
 			});
 		}
 	};
-
+	
 	private boolean needUpdate = false;
-
+	
 	private SelectionListener selectionChangedListener;
-
+	
 	private org.txm.searchengine.cqp.corpus.CQPCorpus corpus;
-
+	
 	private ConcordanceEditor concordanceEditor;
-
+	
 	private IEditorPart fromEditor;
-
+	
 	private Concordance concordance;
-
+	
 	public static void closeView() {
 		try {
 			IWorkbenchPage page = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage();
 			ElementSearchView view = (ElementSearchView) page.findView(ElementSearchView.ID);
-
+			
 			// close Element View if opened
 			if (view != null) {
 				view = (ElementSearchView) page.showView(ElementSearchView.ID);
@@ -132,12 +154,14 @@
 			}
 			
 			return;
-		} catch (PartInitException e1) {
-			System.out.println("Part initialisation error: "+e1.getLocalizedMessage());
+		}
+		catch (PartInitException e1) {
+			System.out.println("Part initialisation error: " + e1.getLocalizedMessage());
 			Log.printStackTrace(e1);
 		}
 		return;
 	}
+	
 	public static ElementSearchView openView() {
 		// open Element View if not opened
 		try {
@@ -145,54 +169,58 @@
 			ElementSearchView view = (ElementSearchView) page.findView(ElementSearchView.ID);
 			if (view == null) {
 				view = (ElementSearchView) page.showView(ElementSearchView.ID);
-				if (view != null && !view.fields.isDisposed() && view.fields.getParent() != null) 
+				if (view != null && !view.fields.isDisposed() && view.fields.getParent() != null)
 					view.fields.getParent().layout(); // sometimes the part layout is broken
 			}
 			if (view == null) {
-				System.out.println("Error ElementPropertiesView view not found: "+ElementSearchView.ID);
+				System.out.println("Error ElementPropertiesView view not found: " + ElementSearchView.ID);
 			}
 			return view;
-		} catch (PartInitException e1) {
-			System.out.println("Part initialisation error: "+e1.getLocalizedMessage());
+		}
+		catch (PartInitException e1) {
+			System.out.println("Part initialisation error: " + e1.getLocalizedMessage());
 			Log.printStackTrace(e1);
 		}
 		return null;
 	}
-
+	
 	@Override
 	public void createPartControl(Composite parent) {
-
+		
 		GridLayout layout = new GridLayout();
 		parent.setLayout(layout);
-
-		//previous and next buttons
+		
+		// previous and next buttons
 		buttons = new Composite(parent, SWT.NONE);
 		buttons.setLayout(new GridLayout(10, false));
 		GridData buttons_gdata = new GridData(GridData.FILL, GridData.CENTER, true, false);
 		buttons_gdata.horizontalSpan = 2;
 		buttons.setLayoutData(buttons_gdata);
-
+		
 		searchButton = new Button(buttons, SWT.PUSH);
-		searchButton.setText("OK");
+		searchButton.setImage(IImageKeys.getImage(IImageKeys.START));
 		searchButton.setToolTipText("Search elements using the search fields values");
 		searchButton.addSelectionListener(new SelectionListener() {
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				search();
 			}
-
+			
 			@Override
-			public void widgetDefaultSelected(SelectionEvent e) { }
+			public void widgetDefaultSelected(SelectionEvent e) {}
 		});
-
+		
 		resetButton = new Button(buttons, SWT.PUSH);
 		resetButton.setImage(IImageKeys.getImage("platform:/plugin/org.txm.rcp/icons/cross.png"));
 		resetButton.setToolTipText("Reset the search field values");
 		resetButton.addSelectionListener(new SelectionListener() {
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				for (Combo c : textWidgets.keySet()) c.setText("");
-
+				for (Combo c : textWidgets.keySet())
+					c.setText("");
+				
 				ElementSearchView.this.concordanceButton.setEnabled(false);
 				ElementSearchView.this.firstButton.setEnabled(false);
 				ElementSearchView.this.previousButton.setEnabled(false);
@@ -204,142 +232,153 @@
 				currentIndex = -1;
 				updateCurrentLabel();
 			}
-
+			
 			@Override
-			public void widgetDefaultSelected(SelectionEvent e) { }
+			public void widgetDefaultSelected(SelectionEvent e) {}
 		});
-
+		
 		label = new Label(buttons, SWT.NONE);
 		label.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 		label.setText("");
-
+		
 		firstButton = new Button(buttons, SWT.PUSH);
 		firstButton.setImage(IImageKeys.getImage(IImageKeys.CTRLSTART));
 		firstButton.setToolTipText("Select the first match");
 		firstButton.addSelectionListener(new SelectionListener() {
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				text.setText(""+1);
+				text.setText("" + 1);
 				selectionChangedListener.widgetSelected(null);
 			}
-
+			
 			@Override
-			public void widgetDefaultSelected(SelectionEvent e) { }
+			public void widgetDefaultSelected(SelectionEvent e) {}
 		});
 		previousButton = new Button(buttons, SWT.PUSH);
 		previousButton.setImage(IImageKeys.getImage(IImageKeys.CTRLREVERSE));
 		previousButton.setToolTipText("Select the previous match");
 		previousButton.addSelectionListener(new SelectionListener() {
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				int current = Integer.parseInt(text.getText());
 				current--;
 				if (current < 1) current = 1;
-				text.setText(""+current);
+				text.setText("" + current);
 				selectionChangedListener.widgetSelected(null);
 			}
-
+			
 			@Override
-			public void widgetDefaultSelected(SelectionEvent e) { }
+			public void widgetDefaultSelected(SelectionEvent e) {}
 		});
-
+		
 		text = new Text(buttons, SWT.BORDER);
 		text.setText("");
 		text.setToolTipText("Set a match number, and select it with the ENTER key");
 		selectionChangedListener = new SelectionListener() {
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				if (toolbar == null || toolbar.isDisposed()) return; 
-				//System.out.println("SELECTED!!");
+				if (toolbar == null || toolbar.isDisposed()) return;
+				// System.out.println("SELECTED!!");
 				try {
-					currentIndex = Integer.parseInt(text.getText())-1;
+					currentIndex = Integer.parseInt(text.getText()) - 1;
 					currentElement = matchingElements.get(currentIndex);
 					toolbar.select(currentElement);
 					updateCurrentLabel();
-				} catch(Exception err) {
-					System.out.println("Could not set current match: "+err.getLocalizedMessage());
 				}
+				catch (Exception err) {
+					System.out.println("Could not set current match: " + err.getLocalizedMessage());
+				}
 			}
-
+			
 			@Override
-			public void widgetDefaultSelected(SelectionEvent e) { }
+			public void widgetDefaultSelected(SelectionEvent e) {}
 		};
 		text.addSelectionListener(selectionChangedListener);
 		text.addKeyListener(new KeyListener() {
+			
 			@Override
 			public void keyReleased(KeyEvent e) {
 				if (currentElement == null) return;
-
+				
 				if (e.keyCode == SWT.HOME) {
-					text.setText(""+1);
+					text.setText("" + 1);
 					selectionChangedListener.widgetSelected(null);
-				} else if (e.keyCode == SWT.END) {
-					text.setText(""+matchingElements.size());
+				}
+				else if (e.keyCode == SWT.END) {
+					text.setText("" + matchingElements.size());
 					selectionChangedListener.widgetSelected(null);
-				} else if (e.keyCode == SWT.CR || e.keyCode == SWT.KEYPAD_CR ) {
+				}
+				else if (e.keyCode == SWT.CR || e.keyCode == SWT.KEYPAD_CR) {
 					selectionChangedListener.widgetSelected(null);
 				}
 			}
-
+			
 			@Override
-			public void keyPressed(KeyEvent e) { }
+			public void keyPressed(KeyEvent e) {}
 		});
-
+		
 		GridData gdata = new GridData(GridData.FILL, GridData.FILL, false, false);
 		gdata.minimumWidth = 100;
 		gdata.widthHint = 100;
 		text.setLayoutData(gdata);
 		label = new Label(buttons, SWT.NONE);
 		label.setText(" / -");
-
+		
 		nextButton = new Button(buttons, SWT.PUSH);
 		nextButton.setImage(IImageKeys.getImage(IImageKeys.CTRLPLAY));
 		nextButton.setToolTipText("Select the next match");
 		nextButton.addSelectionListener(new SelectionListener() {
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				int current = Integer.parseInt(text.getText());
 				current++;
 				if (current > matchingElements.size()) current = matchingElements.size();
-				text.setText(""+current);
+				text.setText("" + current);
 				selectionChangedListener.widgetSelected(null);
 			}
-
+			
 			@Override
-			public void widgetDefaultSelected(SelectionEvent e) { }
+			public void widgetDefaultSelected(SelectionEvent e) {}
 		});
 		lastButton = new Button(buttons, SWT.PUSH);
 		lastButton.setImage(IImageKeys.getImage(IImageKeys.CTRLEND));
 		lastButton.setToolTipText("Select the last match");
 		lastButton.addSelectionListener(new SelectionListener() {
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				text.setText(""+matchingElements.size());
+				text.setText("" + matchingElements.size());
 				selectionChangedListener.widgetSelected(null);
 			}
-
+			
 			@Override
-			public void widgetDefaultSelected(SelectionEvent e) { }
+			public void widgetDefaultSelected(SelectionEvent e) {}
 		});
-
+		
 		concordanceButton = new Button(buttons, SWT.PUSH);
 		concordanceButton.setImage(IImageKeys.getImage(ConcordanceEditor.class, IImageKeys.ACTION_CONCORDANCES));
 		concordanceButton.setToolTipText("View the matches in concordances");
 		concordanceButton.addSelectionListener(new SelectionListener() {
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				try {
 					toConcordances(e);
-				} catch (Exception e1) {
+				}
+				catch (Exception e1) {
 					// TODO Auto-generated catch block
 					e1.printStackTrace();
 				}
 			}
-
+			
 			@Override
-			public void widgetDefaultSelected(SelectionEvent e) { }
+			public void widgetDefaultSelected(SelectionEvent e) {}
 		});
-
+		
 		this.searchButton.setEnabled(false);
 		this.concordanceButton.setEnabled(false);
 		this.firstButton.setEnabled(false);
@@ -348,13 +387,13 @@
 		this.lastButton.setEnabled(false);
 		this.text.setEnabled(false);
 		this.resetButton.setEnabled(false);
-
+		
 		fields = new Composite(parent, SWT.NONE);
 		GridData fields_gdata = new GridData(GridData.FILL, GridData.FILL, true, true);
 		fields.setLayoutData(fields_gdata);
 		fields.setLayout(new RowLayout());
 		this.setPartName("Element");
-
+		
 		// GridDatas to use when a new field is added
 		cData.width = 325;
 		lData = new GridData(GridData.FILL, GridData.CENTER, false, false);
@@ -363,17 +402,18 @@
 		tData = new GridData(GridData.FILL, GridData.FILL, true, false);
 		tData.minimumWidth = 150;
 		tData.widthHint = 150;
-
+		
 		updateCurrentLabel();
 	}
-
+	
 	protected void updateCurrentLabel() {
 		if (currentIndex >= 0) {
-			this.setPartName(""+(currentIndex+1)+" / "+matchingElements.size()+" "+typeSearched);
-			text.setText(""+(currentIndex+1));
-			label.setText(" / "+matchingElements.size());
+			this.setPartName("" + (currentIndex + 1) + " / " + matchingElements.size() + " " + typeSearched);
+			text.setText("" + (currentIndex + 1));
+			label.setText(" / " + matchingElements.size());
 			text.setEnabled(true);
-		} else {
+		}
+		else {
 			if (typeSearched != null) this.setPartName(typeSearched);
 			text.setText("1");
 			text.setEnabled(false);
@@ -381,10 +421,10 @@
 		}
 		label.getParent().layout();
 	}
-
+	
 	/**
 	 * 
-	 * @param corpus the CQP corpus 
+	 * @param corpus the CQP corpus
 	 * @param analecCorpus the analec corpus
 	 * @param clazz the search Analec Element class (Unite, Schema, Relation)
 	 * @param type the searched Element type
@@ -392,13 +432,13 @@
 	 */
 	public void loadType(org.txm.searchengine.cqp.corpus.CQPCorpus corpus, Corpus analecCorpus, Class clazz, String type, URSAnnotationToolbar toolbar) {
 		if (toolbar == null || toolbar.isDisposed()) return;
-
+		
 		this.searchButton.setEnabled(true);
-
+		
 		if (this.analecCorpus != null) { // remove corpus listener from previous corpus
 			this.analecCorpus.removeEventListener(corpusListener);
 		}
-
+		
 		this.fromEditor = toolbar.getEditor();
 		if (this.corpus != corpus && concordanceEditor != null) {
 			concordanceEditor = null;
@@ -407,116 +447,121 @@
 		this.analecCorpus = analecCorpus;
 		this.analecCorpus.addEventListener(corpusListener);
 		this.vue = URSCorpora.getVue(analecCorpus);
-
-		if (this.needUpdate  || type.equals(type)) { // no need to rebuild the widgets
+		
+		if (this.needUpdate || type.equals(type)) { // no need to rebuild the widgets
 			needUpdate = false;
 			clear(); // remove all previous widgets
-
+			
 			String[][] props = vue.getChamps(clazz, type);
 			if (props.length > 0)
 				for (String p : props[0]) { // the first is the prop names
-
-					Composite c = new Composite(fields, SWT.NONE);
-					c.setLayoutData(cData);
-					c.setLayout(new GridLayout(2, false));
-					Label l = new Label(c, SWT.None);
-					l.setText(p);
-					l.setLayoutData(lData);
-
-					Combo t = new Combo(c, SWT.BORDER);
-					t.setLayoutData(tData);
-					textWidgets.put(t, p);
-					setItems(t, clazz, type, p);
-					t.addKeyListener(new KeyListener() {
-						@Override
-						public void keyReleased(KeyEvent e) {
-							if (!(e.widget instanceof Combo)) return;
-							if (e.keyCode == SWT.CR || e.keyCode == SWT.KEYPAD_CR) {
-								search();
-							}
+				
+				Composite c = new Composite(fields, SWT.NONE);
+				c.setLayoutData(cData);
+				c.setLayout(new GridLayout(2, false));
+				Label l = new Label(c, SWT.None);
+				l.setText(p);
+				l.setLayoutData(lData);
+				
+				Combo t = new Combo(c, SWT.BORDER);
+				t.setLayoutData(tData);
+				textWidgets.put(t, p);
+				setItems(t, clazz, type, p);
+				t.addKeyListener(new KeyListener() {
+					
+					@Override
+					public void keyReleased(KeyEvent e) {
+						if (!(e.widget instanceof Combo)) return;
+						if (e.keyCode == SWT.CR || e.keyCode == SWT.KEYPAD_CR) {
+							search();
 						}
-
-						@Override
-						public void keyPressed(KeyEvent e) { }
-					});
+					}
+					
+					@Override
+					public void keyPressed(KeyEvent e) {}
+				});
 				}
 			fields.layout();
 			fields.getParent().layout();
 		}
-
+		
 		this.toolbar = toolbar;
 		this.clazzSearched = clazz;
 		this.typeSearched = type;
-
-		this.setPartName(corpus.getName()+" - "+typeSearched);
+		
+		this.setPartName(corpus.getName() + " - " + typeSearched);
 	}
-	public static final String letters = "abcefghijklmnopqrstu";//vwxyz0123456789";
+	
+	public static final String letters = "abcefghijklmnopqrstu";// vwxyz0123456789";
+	
 	public static final int MAXCONCORDANCEQUERYSIZE = 1150; // 1200 in fact
-	//	public static String[] doubleletters = new String[letters.length()+ (letters.length()*letters.length())];
-	//	static {
-	//		for (int i = 0 ; i < letters.length() ; i++) doubleletters[i] = ""+letters.charAt(i);
-	//		for (int i = 0 ; i < letters.length() ; i++) 
-	//			for (int j = 0 ; j < letters.length() ; j++) doubleletters[letters.length()+ i + (j*letters.length())] = ""+letters.charAt(i)+letters.charAt(j);
-	//		System.out.println(Arrays.toString(doubleletters));
-	//	}
-	//	
-	//	/**
-	//	 * just a simple way to create a label using the match length
-	//	 * @param size
-	//	 * @return a uniq String if size is < to doubleletters.length()
-	//	 */
-	//	public static String getLetter(int size) {
-	//		if (size >= doubleletters.length) return "zzz";
-	//		else return doubleletters[size];
-	//	}
+	// public static String[] doubleletters = new String[letters.length()+ (letters.length()*letters.length())];
+	// static {
+	// for (int i = 0 ; i < letters.length() ; i++) doubleletters[i] = ""+letters.charAt(i);
+	// for (int i = 0 ; i < letters.length() ; i++)
+	// for (int j = 0 ; j < letters.length() ; j++) doubleletters[letters.length()+ i + (j*letters.length())] = ""+letters.charAt(i)+letters.charAt(j);
+	// System.out.println(Arrays.toString(doubleletters));
+	// }
+	//
+	// /**
+	// * just a simple way to create a label using the match length
+	// * @param size
+	// * @return a uniq String if size is < to doubleletters.length()
+	// */
+	// public static String getLetter(int size) {
+	// if (size >= doubleletters.length) return "zzz";
+	// else return doubleletters[size];
+	// }
+	
 	public void toConcordances(SelectionEvent e) throws Exception {
 		if (matchingElements.size() == 0) return;
-
-		LinkedHashSet<Unite> unites = new LinkedHashSet<Unite>();
+		
+		LinkedHashSet<Unite> unites = new LinkedHashSet<>();
 		for (Element m : matchingElements) {
 			for (Unite unite : m.getUnitesSousjacentes()) {
 				unites.add(unite);
 			}
 		}
 		
-		List<Unite> unites_list = new ArrayList<Unite>();
+		List<Unite> unites_list = new ArrayList<>();
 		unites_list.addAll(unites);
 		Collections.sort(unites_list);
 		
 		int[] starts = new int[unites.size()];
 		int[] ends = new int[unites.size()];
 		int[] targets = null;
-
+		
 		int i = 0;
 		for (Unite u : unites_list) {
 			starts[i] = u.getDeb();
 			ends[i] = u.getFin();
 			i++;
 		}
-
-		FakeQueryResult fqr = new FakeQueryResult("SearchViewLink", toolbar.getCQPCorpus(), new CQLQuery(""), 
+		
+		FakeQueryResult fqr = new FakeQueryResult("SearchViewLink", toolbar.getCQPCorpus(), new CQLQuery(""),
 				starts, ends, targets);
-
-		HashSet<Integer> sizes = new HashSet<Integer>();
+		
+		HashSet<Integer> sizes = new HashSet<>();
 		for (Unite unite : unites) {
-			int size = unite.getFin() - unite.getDeb()+1;
-			if (size > letters.length()) size = letters.length()-1;
+			int size = unite.getFin() - unite.getDeb() + 1;
+			if (size > letters.length()) size = letters.length() - 1;
 			sizes.add(size);
 		}
-
 		
+		
 		concordance = null;
 		
 		if (concordanceEditor == null || concordanceEditor.isDisposed()) {
 			concordance = new Concordance(corpus);
 			List<WordProperty> viewProperties = Arrays.asList(corpus.getWordProperty());
 			ReferencePattern ref = new ReferencePattern(corpus.getStructuralUnit("text").getProperty("id"));
-			concordance.setParameters(new CQLQuery(""), 
-				viewProperties, viewProperties, viewProperties,
-				viewProperties, viewProperties, viewProperties, 
-				ref, ref, 
-				7, 10);
-		} else {
+			concordance.setParameters(new CQLQuery(""),
+					viewProperties, viewProperties, viewProperties,
+					viewProperties, viewProperties, viewProperties,
+					ref, ref,
+					7, 10);
+		}
+		else {
 			concordance = concordanceEditor.getConcordance();
 		}
 		concordance.setQueryResult(fqr);
@@ -535,33 +580,33 @@
 					}
 					concordanceEditor = (ConcordanceEditor) editor;
 					
-						if (toolbar.getEditor() != null) {
-							SWTEditorsUtils.addEditor(toolbar.getEditor(), concordanceEditor, EModelService.BELOW);
-						}
-						//BackToText.associateEditors(toolbar.getEditor(), concordanceEditor);
-						toolbar.getEditor().addLinkedEditor(concordanceEditor);
-						concordanceEditor.addLinkedEditor(toolbar.getEditor());
+					if (toolbar.getEditor() != null) {
+						SWTEditorsUtils.addEditor(toolbar.getEditor(), concordanceEditor, EModelService.BELOW);
+					}
+					// BackToText.associateEditors(toolbar.getEditor(), concordanceEditor);
+					toolbar.getEditor().addLinkedEditor(concordanceEditor);
+					concordanceEditor.addLinkedEditor(toolbar.getEditor());
 				}
-
+				
 				concordanceEditor.compute(false);
 				IWorkbenchPage attachedPage = concordanceEditor.getEditorSite().getPage();
 				attachedPage.activate(concordanceEditor);
 			}
 		});
 	}
-
+	
 	/**
 	 * start a new search
 	 */
 	public void search() {
 		if (toolbar == null || toolbar.isDisposed()) return;
-
+		
 		ArrayList<? extends Element> elements = analecCorpus.getElements(clazzSearched, typeSearched);
 		matchingElements.clear();
 		for (Element e : elements) {
 			boolean insert = true;
 			for (Combo w : textWidgets.keySet()) {
-				if (w.getText().trim().length() > 0 
+				if (w.getText().trim().length() > 0
 						&& !e.getProp(textWidgets.get(w)).matches(w.getText())) {
 					insert = false;
 					continue;
@@ -569,28 +614,32 @@
 			}
 			if (insert) matchingElements.add(e);
 		}
-
+		
 		if (matchingElements.size() > 0) {
-
+			
 			// sort elements
 			Collections.sort(matchingElements, new Comparator<Element>() {
+				
 				@Override
 				public int compare(Element o1, Element o2) {
 					if (o1 == null) return 1;
 					else if (o2 == null) return -1;
 					else if (o1.getUnite0().getDeb() < o2.getUnite0().getDeb()) {
 						return -1;
-					} else if (o1.getUnite0().getDeb() > o2.getUnite0().getDeb()) {
+					}
+					else if (o1.getUnite0().getDeb() > o2.getUnite0().getDeb()) {
 						return 1;
-					} else if (o1.getUnite0().getFin() < o2.getUnite0().getFin()) {
+					}
+					else if (o1.getUnite0().getFin() < o2.getUnite0().getFin()) {
 						return -1;
-					} else if (o1.getUnite0().getFin() > o2.getUnite0().getFin()) {
+					}
+					else if (o1.getUnite0().getFin() > o2.getUnite0().getFin()) {
 						return 1;
 					}
 					return 0;
 				}
 			});
-
+			
 			currentElement = matchingElements.get(0);
 			currentIndex = 0;
 			toolbar.select(currentElement);
@@ -603,7 +652,8 @@
 			this.lastButton.setEnabled(true);
 			this.text.setEnabled(true);
 			this.resetButton.setEnabled(true);
-		} else {
+		}
+		else {
 			this.concordanceButton.setEnabled(false);
 			this.firstButton.setEnabled(false);
 			this.previousButton.setEnabled(false);
@@ -616,18 +666,18 @@
 			updateCurrentLabel();
 		}
 	}
-
+	
 	private void setItems(Combo t, Class clazz, String type, String prop) {
 		String[] items = vue.getValeursChamp(clazz, type, prop);
 		t.setItems(items);
 		KeyStroke keys = KeyStroke.getInstance(SWT.CONTROL, SWT.SPACE);
 		new TXMAutoCompleteField(t, new ComboContentAdapter(), items, keys);
 	}
-
+	
 	public Corpus getCurrentAnalecCorpus() {
 		return analecCorpus;
 	}
-
+	
 	@Override
 	public void setFocus() {
 		for (Combo w : textWidgets.keySet()) {
@@ -635,13 +685,13 @@
 			return;
 		}
 	}
-
+	
 	public void clear() {
 		Control[] children = fields.getChildren();
-		for (int i = 0 ; i < children.length ; i++) { 
+		for (int i = 0; i < children.length; i++) {
 			children[i].dispose();
 		}
 		textWidgets.clear();
 		fields.layout();
 	}
-}
\ No newline at end of file
+}
Index: tmp/org.txm.analec.rcp/src/org/txm/annotation/urs/preferences/URSSearchPreferencePage.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/annotation/urs/preferences/URSSearchPreferencePage.java	(revision 0)
+++ tmp/org.txm.analec.rcp/src/org/txm/annotation/urs/preferences/URSSearchPreferencePage.java	(revision 3061)
@@ -0,0 +1,40 @@
+package org.txm.annotation.urs.preferences;
+
+import org.eclipse.jface.preference.FieldEditorPreferencePage;
+import org.eclipse.ui.IWorkbench;
+import org.eclipse.ui.IWorkbenchPreferencePage;
+import org.eclipse.ui.preferences.ScopedPreferenceStore;
+import org.txm.rcp.Application;
+
+/**
+ * TODO use TXMPreferencesPage
+ * 
+ * @author mdecorde
+ *
+ */
+public class URSSearchPreferencePage extends FieldEditorPreferencePage
+		implements IWorkbenchPreferencePage {
+	
+	ScopedPreferenceStore preferences;
+	
+	
+	public URSSearchPreferencePage() {
+		super();
+		
+		preferences = new ScopedPreferenceStore(org.eclipse.core.runtime.preferences.InstanceScope.INSTANCE, Application.PLUGIN_ID);
+		setPreferenceStore(preferences);
+	}
+	
+	/**
+	 * Creates the field editors. Field editors are abstractions of the common
+	 * GUI blocks needed to manipulate various types of preferences. Each field
+	 * editor knows how to save and restore itself.
+	 */
+	@Override
+	public void createFieldEditors() {
+		
+	}
+	
+	@Override
+	public void init(IWorkbench workbench) {}
+}

Index: tmp/org.txm.analec.rcp/src/org/txm/annotation/urs/preferences/URSPreferencePage.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/annotation/urs/preferences/URSPreferencePage.java	(revision 3060)
+++ tmp/org.txm.analec.rcp/src/org/txm/annotation/urs/preferences/URSPreferencePage.java	(revision 3061)
@@ -1,29 +1,32 @@
 package org.txm.annotation.urs.preferences;
 
 import org.eclipse.jface.preference.BooleanFieldEditor;
-import org.eclipse.jface.preference.FieldEditorPreferencePage;
 import org.eclipse.jface.preference.RadioGroupFieldEditor;
 import org.eclipse.ui.IWorkbench;
 import org.eclipse.ui.IWorkbenchPreferencePage;
 import org.eclipse.ui.preferences.ScopedPreferenceStore;
 import org.txm.annotation.urs.Messages;
 import org.txm.rcp.Application;
+import org.txm.rcp.preferences.TXMPreferencePage;
 
-public class URSPreferencePage  extends FieldEditorPreferencePage
-implements IWorkbenchPreferencePage {
+public class URSPreferencePage extends TXMPreferencePage
+		implements IWorkbenchPreferencePage {
+	
 	private BooleanFieldEditor analec_limit_scheme_field;
+	
 	private BooleanFieldEditor prefix_autocompletion_field;
 	
-//	public static final String SELECTED_UNIT_COLOR = "selected_unit_color";
-//	private ColorFieldEditor selected_unit_color;
-//	public static final String HIGHLIGHTED_UNIT_COLOR = "hightlighted_unit_color";
-//	private ColorFieldEditor hightlighted_unit_color;
+	// public static final String SELECTED_UNIT_COLOR = "selected_unit_color";
+	// private ColorFieldEditor selected_unit_color;
+	// public static final String HIGHLIGHTED_UNIT_COLOR = "hightlighted_unit_color";
+	// private ColorFieldEditor hightlighted_unit_color;
 	
 	ScopedPreferenceStore preferences;
+	
 	public static final String COLOR_PALETTE = "color_palette"; //$NON-NLS-1$
 	
 	private RadioGroupFieldEditor color_palette;
-
+	
 	public URSPreferencePage() {
 		super();
 		
@@ -31,7 +34,7 @@
 				Application.PLUGIN_ID);
 		setPreferenceStore(preferences);
 	}
-
+	
 	/**
 	 * Creates the field editors. Field editors are abstractions of the common
 	 * GUI blocks needed to manipulate various types of preferences. Each field
@@ -49,18 +52,18 @@
 				getFieldEditorParent());
 		addField(prefix_autocompletion_field);
 		
-//		hightlighted_unit_color = new ColorFieldEditor(
-//				HIGHLIGHTED_UNIT_COLOR, "Highlighted units background color",
-//				getFieldEditorParent());
-//		addField(hightlighted_unit_color);
-//		
-//		
-//		selected_unit_color = new ColorFieldEditor(
-//				SELECTED_UNIT_COLOR, "Selected units background color",
-//				getFieldEditorParent());
-//		addField(selected_unit_color);
+		// hightlighted_unit_color = new ColorFieldEditor(
+		// HIGHLIGHTED_UNIT_COLOR, "Highlighted units background color",
+		// getFieldEditorParent());
+		// addField(hightlighted_unit_color);
+		//
+		//
+		// selected_unit_color = new ColorFieldEditor(
+		// SELECTED_UNIT_COLOR, "Selected units background color",
+		// getFieldEditorParent());
+		// addField(selected_unit_color);
 		
-		String[][] values = {{"green","green"}, {"yellow","yellow"}}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+		String[][] values = { { "green", "green" }, { "yellow", "yellow" } }; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 		color_palette = new RadioGroupFieldEditor(COLOR_PALETTE, Messages.AnalecPreferencePage_9, 2, values, getFieldEditorParent());
 		addField(color_palette);
 		
@@ -71,5 +74,5 @@
 	}
 	
 	@Override
-	public void init(IWorkbench workbench) { }
+	public void init(IWorkbench workbench) {}
 }
